Page MenuHomePhabricator

[indexer] Add references to the parent type where its name appears in constructor and destructor definitions and declarations
ClosedPublic

Authored by nathawes on Mar 7 2017, 5:47 PM.

Details

Reviewers
akyrtzi

Diff Detail

Event Timeline

nathawes created this revision.Mar 7 2017, 5:47 PM
akyrtzi added inline comments.Mar 16 2017, 4:27 PM
lib/Index/IndexDecl.cpp
157

getLocWithOffset(1) is not a good idea, due to macros (the location may be from a macro) and any kind of whitespace:

C::~/*yes I can put comment here*/C() {}

I suggest to keep track of the location of the typename in CXXDestructorDecl node.

nathawes updated this revision to Diff 92095.Mar 17 2017, 4:38 PM
akyrtzi accepted this revision.Mar 17 2017, 5:05 PM

Committed in r298170.

This revision is now accepted and ready to land.Mar 17 2017, 5:05 PM
akyrtzi closed this revision.Mar 17 2017, 5:05 PM